language: python
python:
  - "2.7"
  - "3.4"
  - "3.5"
  - "3.6"
  - "pypy3"
matrix:
  include:
    - os: osx
      language: sh
      python: "3.7"
      # Perform the manual steps on osx to install python3 and activate venv
      before_install:
        - brew update
        - brew upgrade python3
        - python3 -m pip install virtualenv
        - virtualenv venv -p python3
        - source venv/bin/activate
    - os: windows
      language: sh
      python: "3.7"
      before_install:
        - choco install python3
        - export PATH="/c/Python37:/c/Python37/Scripts:$PATH"
        - python -m pip install --upgrade pip wheel
    - os: windows
      language: sh
      python: "2.7"
      before_install:
        - choco install python2
        - export PATH="/c/Python27:/c/Python27/Scripts:$PATH"
        - python -m pip install --upgrade pip wheel
install: 
  # Get newer pip and whell for binary caching support
  - pip install --upgrade pip wheel
  - pip install -r requirements-test.txt
script: 
  - py.test --cov=translation_finder translation_finder
  - ./setup.py sdist
  - twine check dist/*
after_script:
  - coverage xml
  - codecov
  - python-codacy-coverage
cache: pip
git:
  depth: 10
  submodules: false
